Bug 1074917 - [spice-html5] WebSocket is closed before the connection is established
Summary: [spice-html5] WebSocket is closed before the connection is established
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 3.5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Andrew Dahms
QA Contact: Julie
URL:
Whiteboard: virt
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-11 08:55 UTC by Anand Nande
Modified: 2019-04-28 09:47 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
SPICE Proxy cannot be combined with neither with SPICE-HTML5 nor with noVNC. When using SPICE-HTML5 or noVNC, data from client already flow throught different kind of proxy (ovirt-websocket-proxy).
Clone Of:
Environment:
Last Closed: 2014-09-19 01:33:34 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 718653 None None None Never

Comment 6 Michal Skrivanek 2014-03-25 12:58:32 UTC
franta, can you please move this to documentation, filling the Doc Text as a known issue - spice proxy is only relevant to standalone spice client, not browser one.

Comment 10 Andrew Dahms 2014-08-25 01:55:43 UTC
Documentation Link
------------------------------
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.5-Beta/html-single/Installation_Guide/index.html#SPICE_Proxy_Overview

What Changed
------------------------------
The following topic was revised to add an 'important' box outlining the limitation of the SPICE Proxy in that it canot be used with HTML5 or noVNC.

SPICE Proxy Overview [22033-690471]

Updated the revision history: [34615-690476]

NVR
------------------------------
Red_Hat_Enterprise_Virtualization-Installation_Guide-3.5-Beta-en-US-3.5-7

Moving to ON_QA.

Comment 11 Julie 2014-09-05 06:27:16 UTC
Peer reviewed and verified.


Note You need to log in before you can comment on or make changes to this bug.